---
api: 'Merchant API'
---

# Retrieve a payout list

Retrieve all the payouts you made from your Merchant account. You can also use the query parameters for:

  | Filtering | Pagination |
  | --------- | ---------- |
  | Filter the orders that you want to retrieve, for example, only retrieve the orders that have a specific email. <br/><br/>Parameters used for filtering:<br/><ul><li>`from_created_date`</li><li>`to_created_date`</li><li>`currency`</li><li>`state`</li></ul> | View the orders without loading all of them at once, for example, return a specified number of orders per page. <br/><br/>Parameters used for pagination: <br/><ul><li>`limit`</li></ul> |

## Endpoint

GET `/api/payouts`

## Parameters

### query parameters

- `currency` (string, optional)
  [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
  
  :::info
  For more information about the supported currencies, see: [Help Center](https://help.revolut.com/business/help/merchant-accounts/payments/in-which-currencies-can-i-accept-payments/).
  :::

- `limit` (integer, optional)
  The maximum number of payouts returned per page. Used for **pagination**.

- `from_created_date` (string, optional)
  Retrieve all payouts with a `created_date` ≥ `from_created_date`. Used for **filtering**.
  
  Use the [ISO date format](https://en.wikipedia.org/wiki/ISO_8601): `yyyy-MM-ddTHH:mm:ss[.SSSSSS]Z`. For example, `2021-02-10T16:59:50.886826Z`.

- `to_created_date` (string, optional)
  Retrieve all payouts with a `created_date` ≤ `to_created_date`. Used for **filtering**.
  
  Use the [ISO date format](https://en.wikipedia.org/wiki/ISO_8601): `yyyy-MM-ddTHH:mm:ss[.SSSSSS]Z`. For example, `2021-02-10T16:59:50.886826Z`.

- `state` (array of enum, optional)
  Retrieve all payouts with specific states. You can pass several states. Used for **filtering**.
  
  If multiple states are selected, for example `completed` and `processing`, payouts with either of the selected values are returned. See this example of such a request URL: 
  
  ```curl
  https://merchant.revolut.com/api/payouts?state=completed&state=processing
  ```
  
  The parameter is case sensitive.

## Returns

### 201

Payouts retrieved

#### Response attributes


## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad Request |
| 401 | Unauthorized |
| 404 | Not Found |
